#include <stdio.h>
main()
{
    int a, b, x, y;
        scanf("%d%d",&a,&b);
            scanf("%d%d",&x,&y);
                if(a==x & & b==y)
                    {
                          printf("nijedan") ;
                              }
                                  else if(a!=x & & b!=y)
                                      {
                                           printf("?") ;
                                               }
                                                   else if(b==y & & a!=x)
                                                       {
                                                            printf("prvi");
                                                                }
                                                                    else
                                                                        {
                                                                             printf("drugi") ;
                                                                                 } 
                                                                                 }